Welcome to the MetaMod and Chameleon Support Forums.

Before posting, please check out the FAQs.

helpme

 

Need extra help with your Joomla site? Consider paid Joomla support by the developer of Chameleon and MetaMod.

 

Getting Errors "Warning: require_once" & "Fatal error: require_once()"

Getting Errors "Warning: require_once" & "Fatal error: require_once()"

Getting fatal errors loading my site when MetaMod is enabled. Is this a MetaMod and/or Joomla 1.6 issue? Both Pro and free MM are installed and sys-mm plugin is first in the list. See below:

Warning: require_once(/home/fairw9/public_html/plugins/system/metamod/modulehelper.php) [function.require-once]: failed to open stream: No such file or directory in /home/fairw9/public_html/plugins/system/metamod/metamod.php on line 17

Fatal error: require_once() [function.require]: Failed opening required '/home/fairw9/public_html/plugins/system/metamod/modulehelper.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/fairw9/public_html/plugins/system/metamod/metamod.php on line 17

marclalosh
Beginner Modder
ranks
useravatar
Offline
8 Posts
Administrator has disabled public posting

Re: Getting Errors "Warning: require_once" & "Fatal error: require_once()"

Hi marclalosh,

it looks like MetaModPro (the plugin) hasn't installed properly. Perhaps it got scrambled when you downloaded it from metamodpro.com; perhaps it was corrupted as you uploaded it into your site, or perhaps there were other installation/setup problems on your site that prevented the files from being written.

The file "plugins/system/metamod/modulehelper.php" is a standard part of MetaMod Pro. Can I suggest that you unzip your local copy of MetaModPro and ensure that the file is in there. If it's not, then download it again from this site.

Then try uninstalling the current metamodpro plugin from your site, then re-install it, enable it, and try again.

When you install it, take note of any errors that occur.

And one last thing: it doesn't work on Joomla 1.6. If you're trying to install it on Joomla 1.6 then it's just not going to work. A release for 1.6 is planned but is still some way off as I am working on the J1.6 port of MetaTemplate/Pro first.

Best regards,
Stephen Brandon

Stephen Brandon
MetaMod / Chameleon developer
If you use MetaMod or Chameleon, please post a rating and a review at the Joomla! Extensions Directory: Chameleon | MetaMod

metamodguy
useravatar
Offline
3314 Posts
User info in posts
Administrator has disabled public posting

Re: Getting Errors "Warning: require_once" & "Fatal error: require_once()"

Thanks Stephen,

I downgraded to Joomla 1.5 and all is well! Just posted a new thread (in the non-pro forum - sorry) looking for some help with MetaMod and FLEXIcontent. Thanks!

marclalosh
Beginner Modder
ranks
useravatar
Offline
8 Posts
Administrator has disabled public posting

Board Info

Board Stats:
 
Total Topics:
1685
Total Polls:
6
Total Posts:
5912
Total Posts Today:
4
User Info:
 
Total Users:
11504
Newest User:
toko solo
Members Online:
0
Guests Online:
185

Online: 
There are no members online

Forum Legend:

 Topic
 New
 Locked
 Sticky
 Active
 New/Active
 New/Locked
 New Sticky
 Locked/Active
 Active/Sticky
 Sticky/Locked
 Sticky/Active/Locked